Package net.shibboleth.profile.context.logic

# Class AbstractRelyingPartyPredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

Direct Known Subclasses:
  `CheckAddressPredicate`, `CheckInResponseToPredicate`, `DetailedErrorsPredicate`, `IgnoreRequestSignaturesPredicate`, `LoopDetectionPredicate`, `NotBeforeProfileConfigPredicate`, `ResolveAttributesPredicate`, `SignAssertionsPredicate`, `SignRequestsPredicate`, `SignResponsesPredicate`, `VerifiedProfilePredicate`

public abstract class AbstractRelyingPartyPredicate extends Object implements Predicate<ProfileRequestContext>
Base class for a predicate that evaluates a `ProfileRequestContext` and requires access to a `RelyingPartyContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,RelyingPartyContext>`
`relyingPartyContextLookupStrategy`
Strategy function to lookup RelyingPartyContext.

## Constructor Summary

Constructors
Constructor
Description
`AbstractRelyingPartyPredicate()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected RelyingPartyContext`
`getRelyingPartyContext(ProfileRequestContext input)`
Returns the result of evaluating the injected lookup strategy to obtain the `RelyingPartyContext`.
`Function<ProfileRequestContext,RelyingPartyContext>`
`getRelyingPartyContextLookupStrategy()`
Get the lookup strategy to use to locate the `RelyingPartyContext`.
`void`
`setRelyingPartyContextLookupStrategy(Function<ProfileRequestContext,RelyingPartyContext> strategy)`
Set the lookup strategy to use to locate the `RelyingPartyContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`

## Field Details

### relyingPartyContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,RelyingPartyContext> relyingPartyContextLookupStrategy
Strategy function to lookup RelyingPartyContext.

## Constructor Details

### AbstractRelyingPartyPredicate

public AbstractRelyingPartyPredicate()
Constructor.

## Method Details

### getRelyingPartyContextLookupStrategy

@Nonnull public Function<ProfileRequestContext,RelyingPartyContext> getRelyingPartyContextLookupStrategy()
Get the lookup strategy to use to locate the `RelyingPartyContext`.

Returns:
  lookup function to use

### setRelyingPartyContextLookupStrategy

public void setRelyingPartyContextLookupStrategy(@Nonnull Function<ProfileRequestContext,RelyingPartyContext> strategy)
Set the lookup strategy to use to locate the `RelyingPartyContext`.

Parameters:
  `strategy` - lookup function to use

### getRelyingPartyContext

@Nullable protected RelyingPartyContext getRelyingPartyContext(@Nullable ProfileRequestContext input)
Returns the result of evaluating the injected lookup strategy to obtain the `RelyingPartyContext`.

Parameters:
  `input` - current profile request context
Returns:
  the `RelyingPartyContext` or null